summaryrefslogtreecommitdiffstats
path: root/desktop/cairo-compmgr/cairo-compmgr.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/cairo-compmgr/cairo-compmgr.SlackBuild')
-rw-r--r--desktop/cairo-compmgr/cairo-compmgr.SlackBuild22
1 files changed, 11 insertions, 11 deletions
diff --git a/desktop/cairo-compmgr/cairo-compmgr.SlackBuild b/desktop/cairo-compmgr/cairo-compmgr.SlackBuild
index 94233c4321..20eedd2e35 100644
--- a/desktop/cairo-compmgr/cairo-compmgr.SlackBuild
+++ b/desktop/cairo-compmgr/cairo-compmgr.SlackBuild
@@ -7,7 +7,7 @@
PRGNAM=cairo-compmgr
VERSION=${VERSION:-0.3.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -37,7 +37,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -51,13 +51,6 @@ find . \
-type f -perm /111 -exec chmod 755 {} \; -o \
-type f -exec chmod 644 {} \;
-if pkg-config --exists gconf-2.0 ; then
- WITH_GCONF=YES
- gconf_flags="--enable-gconf --with-gconf-source=\"xml::/etc/gconf/gconf.xml.defaults\" --disable-schemas-install"
-else
- gconf_flags="--disable-gconf --disable-schemas-install"
-fi
-
if pkg-config --exists libgtop-2.0 ; then
WITH_PERF=YES
perf_flags="--enable-perf-plugin"
@@ -67,7 +60,12 @@ fi
# If vala changes the name of the pkgconfig file from libvala-0.12.pc,
# then this patch will have to be changed. It works with vala-0.11.2.
-patch -p1 < $CWD/fixup-vala-requirement.patch
+patch -p1 < $CWD/patches/fixup-vala-requirement.patch
+
+# Fix underlinking
+patch -p1 < $CWD/patches/cairo-compmgr-fix-link.patch
+patch -p1 < $CWD/patches/cairo-compmgr-link-gmodule.patch
+patch -p1 < $CWD/patches/cairo-compmgr-link-libICE.patch
# gobject introspection will not be 'stable' until GTK+3
CFLAGS="$SLKCFLAGS" \
@@ -83,7 +81,9 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-static \
--disable-gobject-introspection \
--build=$ARCH-slackware-linux \
- ${gconf_flags} \
+ --enable-gconf \
+ --with-gconf-source=\"xml::/etc/gconf/gconf.xml.defaults\" \
+ --disable-schemas-install \
${perf_flags}
make